<?php
/**
 * @file
 * Views integration for the Zeitgeist module.
 *
 * @copyright  2005-2010 Ouest Systèmes Informatiques SARL (OSInet)
 *
 * @author Frédéric G. MARAND
 *
 * @license Licensed under the CeCILL version 2 and GPL version 2 or later
 *
 * License note: G2 is distributed by OSInet to its customers under the
 * CeCILL 2.0 license. OSInet support services only apply to the module
 * when distributed by OSInet, not by any third-party further down the
 * distribution chain.
 *
 * If you obtained G2 from drupal.org, that site received it under the
 * GPL v2 or later license and can therefore distribute it under the
 * GPL v2 or later, and so can you and just anyone down the chain as
 * long as the GPL v2 or later terms are abided by, the module
 * distributor in that case being the drupal.org organization or the
 * downstream distributor, not OSInet.
 */

/**
 * Implement hook_views_data().
 *
 * Describe our data to Views. Note that Views 2.x normally expects any
 * base table to have a PK, and ZG doesn't, but no ill consequence seems to
 * arise out of this. Please open an issue is a problem is identified.
 */
function zeitgeist_views_data() {
  $data = array();

  $data['zeitgeist'] = array(
    'table'    => array(
      'group'    => 'ZG', // Do NOT translate!
      'base'     => array(
        'field'    => 'ts',
        'title'    => t('Zeitgeist search log'),
        'help'     => t('A list of searches which have been recently applied to this site.'),
      ),
    ),
    'search'   => array(
      'title'    => t('Search'),
      'help'     => t('The pattern searched for.'),
      'field'    => array(
        'click sortable' => FALSE,
      ),
    ),
    'category' => array(
      'title'    => t('Search kind'),
      'help'     => t('The kind of search requested, like "node", or "user".'),
      'field'    => array(
        'click sortable' => FALSE,
      ),
    ),
    'ts'       => array(
      'title'    => t('Timestamp'),
      'help'     => t('The instant at which the search was requested.'),
      'field'    => array(
        'click sortable' => TRUE,
        'handler'        => 'views_handler_field_date',
      ),
      'filter'   => array(
        'handler'        => 'views_handler_filter_date',
      ),
      'sort'     => array(
        'handler'        => 'views_handler_sort_date',
      ),
    ),
  );

  return $data;
}
